<!DOCTYPE html>
<html>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
<body>
<header class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
  <a class="navbar-brand col-md-3 col-lg-2 me-0 px-3" href="#">COVID</a>
  <button class="navbar-toggler position-absolute d-md-none collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#sidebarMenu" aria-controls="sidebarMenu" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <input class="form-control form-control-dark w-100" type="text" placeholder="Search" aria-label="Search">
  <ul class="navbar-nav px-3">
    <li class="nav-item text-nowrap">
      <a class="nav-link" href="#">Search</a>
    </li>
  </ul>
</header>
<div class="container-fluid">
  <div class="row">
    <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block bg-light sidebar collapse">
      <div class="position-sticky pt-3">
      </div>
    </nav>

    <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
      <h1> Dashboard </h1>
      
<a href="http://localhost:8080/swagger-ui/index.html?configUrl=/v3/api-docs/swagger-config">Swagger</a>
<br>
<a href="http://localhost:8080/v3/api-docs" >OpenAPI</a>
<br>
<a href="http://localhost:8080/h2-console">Console H2</a>
<br>

        <div class="table-responsive" >
		<table style="width:90%" class="table table-striped table-sm">
		<thead>
		  <tr>
		  <th>Département</th>
		  <th>Date</th>
		  <th>Réanimation</th>
		  <th>Nouvelles<br>Reanimations</th>
		  <th>Hospitalisés</th>
		  <th>Nouvelles<br>Hospitalisations</th>
		  </tr>
		  </thead>
		  <tbody id="id01"></tbody>
		</table>
		</div>	  
	 </main>
	 
  </div>
</div>

<script>
var xmlhttp = new XMLHttpRequest();
var url = "https://coronavirusapi-france.now.sh/AllDataByDepartement?Departement=Hauts-de-Seine";

xmlhttp.onreadystatechange = function() {
  if (this.readyState == 4 && this.status == 200) {
    var myArr = JSON.parse(this.responseText);
    myFunction(myArr);
  }
};
xmlhttp.open("GET", url, true);
xmlhttp.send();

function myFunction(arr) {
  var out = "";
 
  var i;
  var d;
  var ref = new Date("2021-01-01");
  //alert(arr.allFranceDataByDate.length);
  for(i = 0; i < arr.allDataByDepartement.length; i++) {
    d = new Date(arr.allDataByDepartement[i].date);
	if (d > ref) {
    out += '<tr>';
    out += '<td> ' + arr.allDataByDepartement[i].nom + '</td>';
    out += '<td> ' + arr.allDataByDepartement[i].date + '</td>';
    out += '<td> ' + arr.allDataByDepartement[i].reanimation + '</td>';
    out += '<td> ' + arr.allDataByDepartement[i].nouvellesReanimations + '</td>';
    out += '<td> ' + arr.allDataByDepartement[i].hospitalises + '</td>';
    out += '<td> ' + arr.allDataByDepartement[i].nouvellesHospitalisations + '</td>';
    out += '</tr>';
	}
    
  }
  
  document.getElementById("id01").innerHTML = out;
}
</script>

</body>
</html>
